Subject: Re: [TEST] bridge tests (was: net-next is OPEN)

From: Ido Schimmel <[email-masked]>
Date: Thu, 8 Feb 2024 18:21:29 +0200

On Thu, Feb 01, 2024 at 04:16:19PM -0800, Jakub Kicinski wrote:
> On Thu, 1 Feb 2024 07:30:25 -0800 Jakub Kicinski wrote:
> > On Thu, 1 Feb 2024 15:46:23 +0200 Ido Schimmel wrote:
> > > > selftests-net/test-bridge-neigh-suppress-sh
> > > >  - fails across all, so must be the OS rather than the "speed"    
> > > 
> > > Yes, it's something related to the OS. From the log below:
> > > 
> > > ```
> > >  COMMAND: ip netns exec h1-n8Aaip ndisc6 -q -r 1 -s 2001:db8:1::1 -w 5000 2001:db8:1::2 eth0.10
> > >  Raw IPv6 socket: Operation not permitted
> > >  TEST: ndisc6                                                        [FAIL]
> > >      rc=1, expected 0
> > > ```
> > > 
> > > The test is supposed to be run as root so I'm not sure what this error
> > > is about. Do you have something like AppArmor or SELinux running? The
> > > program creates an IPv6 raw socket and requires CAP_NET_RAW.  
> > 
> > Ah, ugh, sorry for the misdirection, you're right.
> 
> Confirmed, with the SUID cleared test-bridge-neigh-suppress-sh now
> passes on everything with the exception of metal+debug kernel.

I'm sorry for bothering you with this, but I checked today's logs and it
seems there is a similar problem with arping:
https://netdev-3.bots.linux.dev/vmksft-net-dbg/results/456561/8-test-bridge-neigh-suppress-sh/stdout
https://netdev-3.bots.linux.dev/vmksft-net/results/456562/6-test-bridge-neigh-suppress-sh/stdout

And according to this log the ndisc6 problem resurfaced:
https://netdev-3.bots.linux.dev/vmksft-net/results/456382/6-test-bridge-neigh-suppress-sh/stdout

Any chance that something in the OS changed since last week?